<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE

  홈페이지 : www.piree.kr

  작업날짜 : 2022년 04월 07일 목요일 오후 23시 56분 - 날씨 맑음, 6.4, 16, 5, 0%, 1.5ms / 좋음, 28, 8

  저 작 권 : Copyright ⓒ 2022 피리 PIREE . All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 관리자 > 피리 기본 관리 > 설정화면 상단 스킨 > 처리하기
=====================================================================

*/

  IF ( !defined('_GNUBOARD_'))          EXIT;

  $prog_pay_time_n = 0;

  SWITCH ( $buy_how_c )
  {

      CASE 'sir_kr' :

          IF ( !$SIR__order_c || $SIR__order_c == '' )
          {
              alert("[ SIR.KR 컨텐츠몰 주문번호 ]를 입력해 주세요.");
          }

          $deposit_name = '';

      BREAK;

      CASE 'piree_kr' :

          IF ( !$deposit_name || $deposit_name == '' )
          {
              alert("[ 입금자명 ]을 입력해 주세요.");
          }

          IF ( $pay_date )
          {
              $prog_pay_time_n = strtotime($pay_date .':00');
          }

          IF ( !$prog_pay_time_n || $prog_pay_time_n == 0 )
          {
              alert("[ 결재 일시 ]을 입력해 주세요.");
          }

          $SIR__order_c = '';

      BREAK;

      CASE 'personal_contact' :

          IF ( !$deposit_name || $deposit_name == '' )
          {
              alert("[ 입금자명 ]을 입력해 주세요.");
          }

          IF ( $pay_date )
          {
              $prog_pay_time_n = strtotime($pay_date .':00');
          }

          IF ( !$prog_pay_time_n || $prog_pay_time_n == 0 )
          {
              alert("[ 결재 일시 ]을 입력해 주세요.");
          }

          $SIR__order_c = '';

      BREAK;

      CASE 'experience' :

              /**/

      BREAK;

      DEFAULT :

          alert("[ 구매처 ]를 선택해 주세요.");

      BREAK;

  }

  $sql_common .= "`pgs_buyer_name`        = '". $piree_li_buyer_name ."', ";
  $sql_common .= "`pgs_buyer_tel`          = '". $piree_li_buyer_tel ."', ";
  $sql_common .= "`pgs_buyer_email`        = '". $piree_li_buyer_email ."', ";
  $sql_common .= "`pgs_buy_how_c`          = '". $buy_how_c ."', ";
  $sql_common .= "`pgs_PIREE__license_c`  = '". $deposit_name ."', ";
  $sql_common .= "`pgs_pay_time_n`        = '". $prog_pay_time_n ."', ";
  $sql_common .= "`pgs_SIR__order_c`      = '". $SIR__order_c ."', ";

?>